Retrieve ERC20 token balances by:
- Wallet
id
- Blockchain and wallet address
- Wallet
id and token address
- Blockchain, wallet address, and token address
📘Optionally, you can filter the results using the includePossibleSpam boolean param in the query.
GET /api/wallets/{walletId}/balance/tokens
| Parameter | Param Type | Description | Data Type | Mandatory |
|---|
{walletId} | Path | The ID of the wallet | String | ✅ |
includePossibleSpam | Query | Indication to include possible spam tokens in the response body or not. | Boolean | ❌ |
GET /api/wallets/f21dc1e5-4253-487e-8927-3b5247437f99/balance/tokens
{
"success": true,
"result": [
{
"tokenAddress": "0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0",
"rawBalance": "32876284951737501699",
"balance": 32.8762849517375,
"decimals": 18,
"symbol": "UNI",
"logo": "https://logo.moralis.io/0xa4b1_0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0_53b65838dbb44ea0bf1ef10445f4da21",
"type": "ERC20",
"transferable": true,
"name": "Uniswap",
"exchange": {
"usdPrice": 8.056647793652566,
"usdBalanceValue": 264.872648619909
},
"categories": [
"Automated Market Maker (AMM)",
"Decentralized Exchange (DEX)",
"Decentralized Finance (DeFi)"
],
"links": {
"twitter": "https://twitter.com/Uniswap",
"website": "https://uniswap.org/",
"reddit": "https://www.reddit.com/r/Uniswap",
"discord": "https://discord.gg/FCfyBSbCU5"
},
"thumbnail": "https://logo.moralis.io/0xa4b1_0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0_53b65838dbb44ea0bf1ef10445f4da21",
"portfolioPercentage": "100"
}
]
}
GET /api/wallets/{secretType}/{walletAddress}/balance/tokens
| Parameter | Param Type | Description | Data Type | Mandatory |
|---|
{secretType} | Path | Indication on which chain the balance should be fetched | String | ✅ |
{walletAddress} | Path | The address of the wallet | String | ✅ |
includePossibleSpam | Query | Indication to include possible spam tokens in the response body or not. | Boolean | ❌ |
GET /api/wallets/ARBITRUM/0x9f0847430a41ff52573857b49A87076e1748ed6A/balance/tokens
{
"success": true,
"result": [
{
"tokenAddress": "0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0",
"rawBalance": "32876284951737501699",
"balance": 32.8762849517375,
"decimals": 18,
"symbol": "UNI",
"logo": "https://logo.moralis.io/0xa4b1_0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0_53b65838dbb44ea0bf1ef10445f4da21",
"type": "ERC20",
"transferable": true,
"name": "Uniswap",
"exchange": {
"usdPrice": 8.056647793652566,
"usdBalanceValue": 264.872648619909
},
"categories": [
"Automated Market Maker (AMM)",
"Decentralized Exchange (DEX)",
"Decentralized Finance (DeFi)"
],
"links": {
"twitter": "https://twitter.com/Uniswap",
"website": "https://uniswap.org/",
"reddit": "https://www.reddit.com/r/Uniswap",
"discord": "https://discord.gg/FCfyBSbCU5"
},
"thumbnail": "https://logo.moralis.io/0xa4b1_0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0_53b65838dbb44ea0bf1ef10445f4da21",
"portfolioPercentage": "100"
}
]
}
GET /api/wallets/{walletId}/balance/tokens/{token}
| Parameter | Param Type | Description | Data Type | Mandatory |
|---|
{walletId} | Path | The ID of the wallet | String | ✅ |
{token} | Path | Address of the token (contract) to fetch the balance for | String | ✅ |
includePossibleSpam | Query | Indication to include possible spam tokens in the response body or not. | Boolean | ❌ |
GET /api/wallets/f21dc1e5-4253-487e-8927-3b5247437f99/balance/tokens/0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0
{
"success": true,
"result": [
{
"tokenAddress": "0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0",
"rawBalance": "32876284951737501699",
"balance": 32.8762849517375,
"decimals": 18,
"symbol": "UNI",
"logo": "https://logo.moralis.io/0xa4b1_0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0_53b65838dbb44ea0bf1ef10445f4da21",
"type": "ERC20",
"transferable": true,
"name": "Uniswap",
"exchange": {
"usdPrice": 8.056647793652566,
"usdBalanceValue": 264.872648619909
},
"categories": [
"Automated Market Maker (AMM)",
"Decentralized Exchange (DEX)",
"Decentralized Finance (DeFi)"
],
"links": {
"twitter": "https://twitter.com/Uniswap",
"website": "https://uniswap.org/",
"reddit": "https://www.reddit.com/r/Uniswap",
"discord": "https://discord.gg/FCfyBSbCU5"
},
"thumbnail": "https://logo.moralis.io/0xa4b1_0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0_53b65838dbb44ea0bf1ef10445f4da21",
"portfolioPercentage": "100"
}
]
}
GET /api/wallets/{secretType}/{walletAddress}/balance/tokens/{token}
| Parameter | Param Type | Description | Data Type | Mandatory |
|---|
{secretType} | Path | Indication on which chain the balance should be fetched | String | ✅ |
{walletAddress} | Path | The address of the wallet | String | ✅ |
{token} | Path | Address of the token (contract) to fetch the balance for | String | ✅ |
includePossibleSpam | Query | Indication to include possible spam tokens in the response body or not. | Boolean | ❌ |
GET /api/wallets/ARBITRUM/0x9f0847430a41ff52573857b49A87076e1748ed6A/balance/tokens/0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0
{
"success": true,
"result": [
{
"tokenAddress": "0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0",
"rawBalance": "32876284951737501699",
"balance": 32.8762849517375,
"decimals": 18,
"symbol": "UNI",
"logo": "https://logo.moralis.io/0xa4b1_0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0_53b65838dbb44ea0bf1ef10445f4da21",
"type": "ERC20",
"transferable": true,
"name": "Uniswap",
"exchange": {
"usdPrice": 8.056647793652566,
"usdBalanceValue": 264.872648619909
},
"categories": [
"Automated Market Maker (AMM)",
"Decentralized Exchange (DEX)",
"Decentralized Finance (DeFi)"
],
"links": {
"twitter": "https://twitter.com/Uniswap",
"website": "https://uniswap.org/",
"reddit": "https://www.reddit.com/r/Uniswap",
"discord": "https://discord.gg/FCfyBSbCU5"
},
"thumbnail": "https://logo.moralis.io/0xa4b1_0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0_53b65838dbb44ea0bf1ef10445f4da21",
"portfolioPercentage": "100"
}
]
}